# music-downloader

从各站点搜索歌曲资源并下载

# 步骤

## 第一步 准备配置文件
将`/start`目录下的`html.sh` `server.sh` `start.sh`三个文件拷贝到本机，创建docker时装载文件夹`/start`。

## 第二步 准备docker镜像
使用的docker镜像为`node:lts-bullseye`

## 第三步 配置docker需要注意的

1、挂载目录

|本地目录|docker目录|
|-|-|
|/xx/start（上面让准备的配置文件）|/start|
|/xx（要保存音乐的文件夹）|/downloads|

2、增加三个环境变量：

|变量|值|
|-|-|
|REMOTE_ADDR|musicdlr.amuliang.top:3000
|SERVER_PORT|5750（可自定义）
|WEB_PORT|5780（可自定义）

3、自定义启动命令为`'/start/start.sh' `

4、将自定义端口映射出去

## 第四步 使用
耐心等待，第一次启动会下载依赖包，速度会慢点。

访问web地址为 `youraddress:5780`，勾选搜索源后，搜索并下载即可。